# Poco

# class RandomIOS

Library: Foundation
Package: Crypt
Header: Poco/RandomStream.h

## Description

The base class for RandomInputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: RandomInputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### RandomIOS

RandomIOS();

## Destructor

### ~RandomIOS

~RandomIOS();

## Member Functions

### rdbuf

RandomBuf * rdbuf();

## Variables

### _buf

RandomBuf _buf;